> ## Documentation Index
> Fetch the complete documentation index at: https://docs.duohub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Retrieve a single user by ID



## OpenAPI

````yaml GET /users/get/{id}
openapi: 3.1.0
info:
  title: duohub Retriever API
  description: >-
    Retrieve assisted or non-assisted memory from a duohub knowledge graph. For
    best performance, use the official `duohub` Python package.
  version: 1.0.0
servers:
  - url: https://api.duohub.ai
security:
  - APIKeyHeader: []
paths:
  /users/get/{id}:
    get:
      tags:
        - Users
      summary: Get User
      description: Retrieve a single user by ID
      operationId: getUser
      parameters:
        - name: id
          in: path
          required: true
          description: Unique identifier of the user to retrieve
          schema:
            type: string
      responses:
        '200':
          description: User retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: User's unique identifier
                      firstName:
                        type: string
                        description: User's first name
                      lastName:
                        type: string
                        description: User's last name
                      email:
                        type: string
                        format: email
                        description: User's email address
                      owner:
                        type: string
                        description: Owner identifier
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation timestamp
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update timestamp
                required:
                  - status
                  - data
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Your duohub API key. Type: str'

````